import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Map;

public class Change {
    public  void gpsCortoXYList(String fileName) throws FileNotFoundException {
        ArrayList<GpsCor> pointArrayList;
        ArrayList<Point> dataList = new ArrayList<>();
        OperateFile operateFile = new OperateFile();
        String fileInputPath = "/Users/haoqianpan/file/programfile/gpsexc/in/";
        String fileOutPath = "/Users/haoqianpan/file/programfile/gpsexc/out/";

        pointArrayList = operateFile.readlatlonCor(fileInputPath + fileName);
        ArrayList<Map> mapArrayList = new ArrayList<>();
        for (int i = 0 ; i < pointArrayList.size();i++){

            GpsCor gpsCor = pointArrayList.get(i);

            Double lat = gpsCor.getLat();

            Double lon = gpsCor.getLon();

            GpsConvertMethod gpsConvertMethod = new GpsConvertMethod("MCT2XY",lat,lon,55.5,11789993,3128152);

            double[] xyCor = gpsConvertMethod.coordinatexy;

            Double x = xyCor[0];
            Double y = xyCor[1];
            Point point = new Point();
            point.setColX(x);
            point.setColY(y);
            dataList.add(point);
        }

        operateFile.printPoint(fileOutPath + fileName,dataList);

    }
}
