import com.google.gson.Gson;

import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class Main {
    public static void main(String[] args) throws FileNotFoundException {
//        ArrayList<Point> pointArrayList;
//        OperateFile operateFile = new OperateFile();
//        pointArrayList = operateFile.readXYCor("/Users/haoqianpan/file/dayfile/20200811/gps/pmzbin1.txt");
//119.073723 39.250695
//119.073820 39.250745
//119.080523 39.243040
//119.080618 39.243092
//        ArrayList<Map> mapArrayList = new ArrayList<>();
//
//        for (int i = 0 ; i < pointArrayList.size();i++){
//
//            Point point = pointArrayList.get(i);
//
//            Double x = point.getColX();
//
//            Double y = point.getColY();
//
//            GpsConvertMethod gpsConvertMethod = new GpsConvertMethod("XY2MCT",x,y,55.5,11789993,3128152);
//
//            double[] gpsCor = gpsConvertMethod.coordinatelb;
//
//            Double lat = gpsCor[0];
//
//            Double lon = gpsCor[1];
//
//            Map map = new HashMap();
//            map.put("lon",lon);
//            map.put("lat",lat);
//            mapArrayList.add(map);
//
//        }
//
//        Gson gson = new Gson();
//        String str = gson.toJson(mapArrayList);
//
//        System.out.println(str);

//        ArrayList<String> fileNameList = new ArrayList<>();
//        fileNameList.add("1e.txt");
//        fileNameList.add("1w.txt");
//        fileNameList.add("2e.txt");
//        fileNameList.add("2w.txt");
//        fileNameList.add("3e.txt");
//        fileNameList.add("3w.txt");
//        fileNameList.add("4e.txt");
//        fileNameList.add("4w.txt");
//        fileNameList.add("5e.txt");
//        fileNameList.add("5w.txt");
//        fileNameList.add("6e.txt");
//        fileNameList.add("6w.txt");
//
//        for (int i = 0 ; i < fileNameList.size();i++){
//
//            String fileName = fileNameList.get(i);
//            gpsCortoXYList(fileName);
//
//        }
//        Change change = new Change();
//        change.gpsCortoXYList("test1.txt");

//        BuildShape buildShape = new BuildShape();
//        buildShape.build("initial.txt");
        Change change = new Change();
        change.gpsCortoXYList("sr5900.txt");
//        change.gpsCortoXYList("test2.txt");
//        BuildYardFast buildYardFast = new BuildYardFast();
//        buildYardFast.buildYard("sr3new.txt","test2.txt",390,470);
//        gpsCortoXY("/Users/haoqianpan/file/programfile/gpsexc/in/sr3470390.txt");
    }

    public void gpsCortoXYJson(String filePath) throws FileNotFoundException {

        ArrayList<GpsCor> pointArrayList;
        OperateFile operateFile = new OperateFile();
        pointArrayList = operateFile.readlatlonCor("/Users/haoqianpan/file/dayfile/20200811/gps/pmzbin2.txt");
        ArrayList<Map> mapArrayList = new ArrayList<>();

        for (int i = 0 ; i < pointArrayList.size();i++){

            GpsCor gpsCor = pointArrayList.get(i);

            Double lat = gpsCor.getLat();

            Double lon = gpsCor.getLon();

            GpsConvertMethod gpsConvertMethod = new GpsConvertMethod("MCT2XY",lat,lon,55.5,11789993,3128152);

            double[] xyCor = gpsConvertMethod.coordinatexy;

            Double x = xyCor[0];
            Double y = xyCor[1];

            Map map = new HashMap();
            map.put("lon",lon);
            map.put("lat",lat);
            mapArrayList.add(map);

        }

        Gson gson = new Gson();
        String str = gson.toJson(mapArrayList);
        System.out.println(str);

    }

    public static void gpsCortoXYList(String fileName) throws FileNotFoundException {

        ArrayList<GpsCor> pointArrayList;
        ArrayList<Point> dataList = new ArrayList<>();
        OperateFile operateFile = new OperateFile();
        String fileInputPath = "/Users/haoqianpan/file/programfile/bdqexchange/in/";
        String fileOutPath = "/Users/haoqianpan/file/programfile/bdqexchange/out/";

        pointArrayList = operateFile.readlatlonCor(fileInputPath + fileName);
        ArrayList<Map> mapArrayList = new ArrayList<>();
        for (int i = 0 ; i < pointArrayList.size();i++){

            GpsCor gpsCor = pointArrayList.get(i);

            Double lat = gpsCor.getLat();

            Double lon = gpsCor.getLon();

            GpsConvertMethod gpsConvertMethod = new GpsConvertMethod("MCT2XY",lat,lon,55.5,11789993,3128152);

            double[] xyCor = gpsConvertMethod.coordinatexy;

            Double x = xyCor[0];
            Double y = xyCor[1];
            Point point = new Point();
            point.setColX(x);
            point.setColY(y);
            dataList.add(point);
        }

        operateFile.printPoint(fileOutPath + fileName,dataList);

    }

    public static void gpsCortoXY(String filePath) throws FileNotFoundException {

        ArrayList<GpsCor> pointArrayList;
        OperateFile operateFile = new OperateFile();
        pointArrayList = operateFile.readlatlonCor(filePath);
        ArrayList<Point> arrayList = new ArrayList<>();

        for (int i = 0 ; i < pointArrayList.size();i++){

            GpsCor gpsCor = pointArrayList.get(i);

            Double lat = gpsCor.getLat();

            Double lon = gpsCor.getLon();

            GpsConvertMethod gpsConvertMethod = new GpsConvertMethod("MCT2XY",lat,lon,55.5,11789993,3128152);

            double[] xyCor = gpsConvertMethod.coordinatexy;

            Double x = xyCor[0];
            Double y = xyCor[1];
            System.out.println(x + " " + y);
            Point point = new Point();
            point.setColX(x);
            point.setColY(y);
            arrayList.add(point);
        }



    }

}
